Restore the Folder

Restores a deleted folder for a specific advertiser.

📘

URL: PUT /api/v1/folders/restore

Note: A folder can be restored only within 7 days of deletion.

Request Parameters

ParameterTypeRequiredDescription
advertiserIdintegerYesThe ID of the specific advertiser.
folderIdstringYesThe ID of the folder to be restored.

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
Content-Typeapplication/jsonYn/a
WM_CONSUMER.IDWe will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATUREAuth signature as an API key.YUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONWe will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value

Sample Request

curl -X PUT \
'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/folders/restore' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: <consumer_id>' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '{ "advertiserId": 123, "folderId": "65822500-382a-11ec-9b0d-0242c0a8f002" }'

Response Body

FieldTypeDescription
codestringResponse status. Possible values: success, failure.
detailsarrayAdditional information. Contains error details if the request fails.
folderIdstringThe ID of the restored folder.

Sample Response

[ { "code": "success", "details": ["success"], "folderId": "e02a09b2-1e3c-2g22-bf47-8a123c35002a" }
]